# $Revision: 1.10 $, $Date: 2002/01/10 15:22:34 $
%include        /usr/lib/rpm/macros.perl
Summary:	Simple vector graphics creator (with stdin/out interface)
Summary(pl):	Prosty program do grafiki wektorowej (z interfejsem stdin/out)
Name:		drawtool
Version:	3.2.2
Release:	4
License:	GPL
Group:		X11/Applications/Graphics
Group(de):	X11/Applikationen/Grafik
Group(pl):	X11/Aplikacje/Grafika
Source0:	http://www.earth.li/projectpurple/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-makefile.patch
URL:		http://www.earth.li/projectpurple/progs/drawtool.html
BuildRequires:	gtk+-devel
BuildRequires:	netpbm-devel
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-16

BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Drawtool is a simple application that reads in simple vector geometry
from stdin and displays it in a gtk window. Similarly, it will write
data onto stdout as generated by click-drag mouse movements. It can
output to bitmap files and Postscript. It can be used as a general
purpose drawing program, a network whiteboard, a picture viewer or a
scrapbook for quickly getting down ideas....

%description -l pl
Drawtool jest prost aplikacj ktra wczytuje opis prostej grafiki
wektorowej ze standardowego wejcia i wywietla j w okienku gtk.
Analogicznie, wypisuje on dane na standardowe wyjcie w miar jak
obraz jest generowany za pomoc myszki i uytkownika. Wyjcie moe te
by generowane w formie bitmapy lib Postscriptu. Drawtool moe by
uywany jako wszechstronny program do rysunkw, sieciowy "whiteboard",
przegldarka obrazkw, notatnik do szybkiego zapisywania pomysw...

%package perl
Summary:	Perl extensions for drawtool
Summary(pl):	Perlowe rozszerzenia dla drawtoola
Group:		X11/Applications/Graphics
Group(de):	X11/Applikationen/Grafik
Group(pl):	X11/Aplikacje/Grafika

%description perl
Perl extensions for drawtool: PSDrawtool, SVGDrawtool and
perltool.

%description perl -l pl
Perlowe rozszerzenia dla drawtoola: PSDrawtool, SVGDrawtool i perltool.

%prep
%setup -q
%patch0 -p1

%build
%{__make} CFLAGS="%{rpmcflags}" 

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}/man1 \
	BINDIR=%{_bindir}

mv -f logo/utils logo-utils

gzip -9nf TODO README CHANGES 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/drawtool.pdf
%doc *.gz
%doc utils logo-utils
%attr(755,root,root) %{_bindir}/logo
%attr(755,root,root) %{_bindir}/drawtool
%{_mandir}/man*/*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*.pl

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: drawtool.spec,v $
Revision 1.10  2002/01/10 15:22:34  kloczek
- release 4: rebuild.

Revision 1.9  2001/05/05 17:23:17  kloczek
- BuildRequires for perl >= 5.6 changed to perl-devel >= 5.6.1 .

Revision 1.8  2001/05/02 02:43:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2001/04/17 12:04:29  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.6  2001/04/14 18:00:03  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.5  2001/03/01 02:31:24  kloczek
- s/libgr-devel/netpbm-devel/ in BuildRequires.

Revision 1.4  2001/03/01 02:21:31  kloczek
- release 2,
- rebuild against perl 5.6,
- spec adapterized (now is %%{debug} ready).

Revision 1.3  2000/07/13 20:06:03  kloczek
- cosmetics.

Revision 1.2  2000/07/13 18:58:40  zagrodzki
- initial release
